﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.RadControlSpy;

namespace WindowsFormsApplication100
{
    public partial class Form1 : Form
    {
        bool isRightClick = false;

        public Form1()
        {
            InitializeComponent();
            this.radTreeView1.MouseDown += new MouseEventHandler(radTreeView1_MouseDown);
            radTreeView1.ContextMenuShowing += new EventHandler<Telerik.WinControls.UI.ContextMenuShowingEventArgs>(radTreeView1_ContextMenuShowing);
            this.radTreeView1.SelectedNodeChanging += new Telerik.WinControls.UI.RadTreeView.RadTreeViewCancelEventHandler(radTreeView1_SelectedNodeChanging);
            new RadControlSpyForm().Show();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            radTreeView1.Nodes[0].ContextMenu = radContextMenu1;
            radTreeView1.Nodes[1].ContextMenu = radContextMenu1;
            radTreeView1.Nodes[2].ContextMenu = radContextMenu1;
        }

        void radTreeView1_ContextMenuShowing(object sender, Telerik.WinControls.UI.ContextMenuShowingEventArgs e)
        {
            if (this.radTreeView1.SelectedNode != e.Node)
            {
                e.Cancel = true;
            }
        }

        void radTreeView1_SelectedNodeChanging(object sender, Telerik.WinControls.UI.RadTreeViewCancelEventArgs e)
        {
            if (isRightClick)
            {
                e.Cancel = true;
                isRightClick = false;
            }
        }

        void radTreeView1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Right)
            {
                isRightClick = true;
            }
        }
    }
}
